Summary: DirList User Directory Server
Name: dirlist
Version: 2.9
Release: 2
Source0: dirlist-%{version}.tar.gz
License: GPL
Group: Applications/Databases
BuildRoot: %{_tmppath}/%{name}
Vendor: Steven Lawrance <slawrance@yahoo.com>
Requires: apache, sudo

%description
DirList Server is a user directory system that runs as a CGI to
serve up user lists, search for various user attributes, view their web
sites, define your own user attributes, and keep it all synchronized
automatically with the underlying operating system's user database on
periodic intervals when used with cron.

Be aware that if no dirlist_indexes/users.idx2 file exists, this
RPM creates one for you using your computer's domain and hostname
for a couple parameters while enabling index encryption, limited
searching rights for the Guest web user, and no password for
Administrator.  As this could be a security risk, PLEASE CHANGE
THE Administrator PASSWORD!  If you don't want to do this or
cannot do this, run `rm -f /srv/www/cgi-bin/dirlist_indexes/users.idx2`
to remove the install-generated index file.

%prep
%setup -q

%build
%configure --prefix=/srv/www --bindir=/srv/www/cgi-bin
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/srv/www/cgi-bin/dirlist_html
mkdir -p $RPM_BUILD_ROOT/srv/www/html
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m644 dirlist_html/badtemplate1.html $RPM_BUILD_ROOT/srv/www/cgi-bin/dirlist_html/badtemplate1.html
install -m644 dirlist_html/badtemplate2.html $RPM_BUILD_ROOT/srv/www/cgi-bin/dirlist_html/badtemplate2.html
install -m644 dirlist_html/users.web.footer.html $RPM_BUILD_ROOT/srv/www/cgi-bin/dirlist_html/users.web.footer.html
install -m644 dirlist_html/users.web.header.html $RPM_BUILD_ROOT/srv/www/cgi-bin/dirlist_html/users.web.header.html
install -m644 dirlist_html/search.html $RPM_BUILD_ROOT/srv/www/html/search.html
install -m755 dirlist-cron $RPM_BUILD_ROOT/etc/cron.daily/dirlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%post
mkdir -p /srv/www/cgi-bin/dirlist_indexes

# Create a new index file if it doesn't already exist
if [ ! -f /srv/www/cgi-bin/dirlist_indexes/users.idx2 ]; then
  cd /srv/www/cgi-bin
  ./dirlist2.cgi -c --no-admin --pw-cache --encrypt dirlist_indexes/users.idx2 << EOF &> /dev/null
`/bin/hostname -d`
http://`/bin/hostname`/search.html
2
EOF
  chown wwwrun:www /srv/www/cgi-bin/dirlist_indexes/users.idx2
  chmod 660 /srv/www/cgi-bin/dirlist_indexes/users.idx2
  /usr/bin/sudo -u wwwrun ./dirlist2.cgi -u dirlist_indexes/users.idx2 /home &> /dev/null
fi

%files
%defattr(-,root,root)
%attr(0755,wwwrun,www) /srv/www/cgi-bin/dirlist2.cgi
%attr(0644,wwwrun,www) %config(noreplace) /srv/www/html/search.html
%attr(0644,wwwrun,www) %config(noreplace) /srv/www/cgi-bin/dirlist_html/badtemplate1.html
%attr(0644,wwwrun,www) %config(noreplace) /srv/www/cgi-bin/dirlist_html/badtemplate2.html
%attr(0644,wwwrun,www) %config(noreplace) /srv/www/cgi-bin/dirlist_html/users.web.footer.html
%attr(0644,wwwrun,www) %config(noreplace) /srv/www/cgi-bin/dirlist_html/users.web.header.html
%attr(0755,root,root) /etc/cron.daily/dirlist
#/usr/man/man5/*
#/usr/man/man8/*
%doc README NEWS AUTHORS COPYING ChangeLog docs/bugs.html docs/index.html docs/cmdline.html docs/gpl.html docs/overview.html

%changelog
* Sat Aug 04 2007 Steven Lawrance <slawrance@yahoo.com>
- Updated to work in openSUSE 10.2 and use DirList Server 2.9
- Changed paths from /var/www to /srv/www
- Removed old migration code for /home/httpd
* Sun Feb 13 2005 Steven Lawrance <slawrance@yahoo.com>
- Updated the .spec file to work properly in Fedora Core
* Sun Mar 21 2004 Steven Lawrance <slawrance@yahoo.com>
- Updated to DirList 2.8, which includes internal security fixes
- Upgraded autoconf/automake to a newer version
* Wed Apr 03 2002 Steven Lawrance <slawrance@yahoo.com>
- Updated /etc/cron.daily/dirlist with the new directories
- Upgraded autoconf/automake to a newer version
* Sat Mar 30 2002 Steven Lawrance <slawrance@yahoo.com>
- Update to version 2.7
- Changed paths from /home/httpd to /var/www
* Sat Oct 08 2000 Steven Lawrance <slawrance@technologist.com>
- Creation of RPM for DirList Server 2.6
