/*
Directory listing CGI program
By Steven Lawrance            
(c) Steven Lawrance, 2000, 2002, 2004
(c) Bryant College, 1998-2000 

Permission granted for release under the GPL in Q2 2000
by Bryant College.  Steven Lawrance can be contacted at
slawrance@yahoo.com.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef __HEADER__DIRLIST__GLOBALS_H
#define __HEADER__DIRLIST__GLOBALS_H

#include "dirlist.h"
#include "database.h"

/* Master auditing flag and parameters */
extern BOOL bAuditEnable;
extern LPTSTR lpszAuditBuffer;
extern DWORD dwAuditBufferSize;

/* Endian conversion on multi-byte integers */
extern BOOL bConvertEndian;

/* Encryption parameters */
extern BOOL bEncryptEnable;
extern WORD wEncryptMethod;

/* Cache of /etc/passwd, if enabled */
extern LPDIRLIST_PASSWD_ENTRY lpPasswdCache;
extern LPTSTR lpszPasswdCache;

/* Safe HTML string recycling */
extern LPTSTR safeStrings;
extern DWORD safeStringsLen;
extern DWORD safeStringsAlloc;

#endif /* GLOBALS_H */
