/*
Directory listing CGI program
By Steven Lawrance            
(c) Steven Lawrance, 2000, 2002, 2004
(c) Bryant College, 1998-2000 

Permission granted for release under the GPL in Q2 2000
by Bryant College.  Steven Lawrance can be contacted at
slawrance@yahoo.com.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef __HEADER__DIRLIST__WEB_H
#define __HEADER__DIRLIST__WEB_H

#include "dirlist.h"
#include "database.h"

/* Types of responses */
/* +  Processing completed successfully
   -  Processing did not complete
   *  Row affected
   Q  Sequence number of index file
   #  Information
   >  Start of a record
   |  Extra record information
   &  Counter hint information
   <  Ignore
   V  DirList2 version */

/* Maximum number of searches in a single query */
#define QUERY_MAXSEARCH        10000

/* Forward References */
void PrintAttribute(LPDIRLIST_ACCESSPLAN lpPlan, LPDWORD paramNum, UCHAR cDelimiter, UCHAR cStringChar, LPCTSTR lpszFormatStr, ...);
BOOL DisplayPerson(LPDIRLIST_ENTRY lpDirEntry, LPDIRLIST_ACCESSPLAN lpPlan, LPDIRLIST_CLASS lpClassList, UCHAR cDelimiter, UCHAR cStringChar);
void WriteAccessPlanAsJavaScript(LPDIRLIST_ACCESSPLAN lpPlan, LPTSTR lpszScriptFooter);
void WriteHTMLHeader(LPCTSTR listName, LPCTSTR style);
void WriteHTMLFooter(LPCTSTR listName, LPCTSTR style);
BOOL ListDirectory(LPCTSTR lpszIndexName, LPDIRLIST_ACCESSPLAN lpPlan, UCHAR cDelimiter, UCHAR cStringChar, BOOL bJavaScript, LPDIRLIST_HEADER *lpHeader);
BOOL GetAccessPlan(LPTSTR *lpCGIVars, FILE *pInput, LPDWORD lpdwMaxRead, UCHAR cDelimiter, LPDIRLIST_ACCESSPLAN lpPlan, BOOL bSearches, BOOL bCounters, BOOL bEmitStatus, LPTSTR *lpszError);
void WriteAccessPlanLog(FILE *output, LPDIRLIST_ACCESSPLAN lpPlan);
char x2c(LPTSTR what);
void unescape_url(LPTSTR url);
char **getcgivars();
void FreeCGIVars(LPTSTR *lpCGIVars);
LPTSTR GetQuery(LPTSTR *lpCGIVars, LPTSTR lpszParamName, LPTSTR lpszDefaultValue);
LPTSTR GetQueryArray(LPTSTR *lpCGIVars, LPTSTR lpszParamName, DWORD dwIndex, LPTSTR lpszDefaultValue);

#endif /* WEB_H */
